package com.marvinelsen.cedict.api

import com.marvinelsen.cedict.internal.CedictParserImpl
import java.io.InputStream

interface CedictParser {
    fun parseCedict(inputStream: InputStream): List<CedictEntry>

    companion object {
        val instance: CedictParser by lazy { CedictParserImpl() }
    }
}
